### Hierarchy

- ReferringObject
  - ReferringWorkbench

## Index

### Properties

- actionId
- type
- workbenchId

### Accessors

- sourceDestroyed

### Methods

- isDialogReferrer
- isWorkbenchReferrer

## Properties

### actionId

actionId: string

Inherited from ReferringObject.actionId

- Defined in models/ReferringObject.ts:5

### type

type: string

Inherited from ReferringObject.type

- Defined in models/ReferringObject.ts:4

### workbenchId

workbenchId: string

- Defined in models/ReferringWorkbench.ts:4

## Accessors

### sourceDestroyed

- get sourceDestroyed(): boolean

- Inherited from ReferringObject.sourceDestroyed

  - Defined in models/ReferringObject.ts:15

  #### Returns boolean

## Methods

### isDialogReferrer

- isDialogReferrer(): boolean

- Inherited from ReferringObject.isDialogReferrer

  - Defined in models/ReferringObject.ts:7

  #### Returns boolean

### isWorkbenchReferrer

- isWorkbenchReferrer(): boolean

- Inherited from ReferringObject.isWorkbenchReferrer

  - Defined in models/ReferringObject.ts:11

  #### Returns boolean

Generated using TypeDoc